> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get comprehensive list of Dogecoin Dunes tokens with metadata, supply information, and trading statistics.

# List Dunes



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /assets/dunes
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /assets/dunes:
    get:
      tags:
        - Dunes
      summary: List Dunes
      description: Returns a list of ID and names of all deployed Dune assets.
      operationId: list_dunes
      parameters:
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDuneIdAndName'
              example:
                data:
                  - id: '5228806:44'
                    spaced_name: JUST•SEND•ITTTT
                  - id: '5228811:6'
                    spaced_name: MOMMAWEMADEIT
                  - id: '5228827:57'
                    spaced_name: BOOK•ON•DUNESSS
                  - id: '5228850:19'
                    spaced_name: TODAY•TOMORROW
                  - id: '5228851:15'
                    spaced_name: TOMORROW•TODAY
                  - id: '5229366:35'
                    spaced_name: PEPE•MEME•KING
                  - id: '5244144:12'
                    spaced_name: DOGECOIN•FIWB
                last_updated:
                  block_hash: >-
                    85bd0d5594a7cd024ee6b3f345ea2e8ca0725a96fe751f5487202064dbb64b1c
                  block_height: 5251959
                next_cursor: null
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedDuneIdAndName:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DuneIdAndName'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          nullable: true
    DuneIdAndName:
      type: object
      required:
        - id
        - spaced_name
      properties:
        id:
          type: string
        spaced_name:
          type: string
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````